QzSimpleTrigger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.QzSimpleTrigger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class QzSimpleTrigger

    java.lang.Object
      org.hyperic.hq.scheduler.QzTrigger
          org.hyperic.hq.scheduler.QzSimpleTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class QzSimpleTrigger

extends QzTrigger
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QzSimpleTrigger()`

Method Summary
`long` | `getRepeatCount()`
`long` | `getRepeatInterval()`
`long` | `getTimesTriggered()`
`void` | `setRepeatCount(long repeatCount)`
`void` | `setRepeatInterval(long repeatInterval)`
`void` | `setTimesTriggered(long timesTriggered)`

Methods inherited from class org.hyperic.hq.scheduler.QzTrigger
`getCalendarName, getDescription, getEndTime, getId, getJobData, getJobDetail, getJobGroup, getJobName, getMisFireInstr, getNextFireTime, getPrevFireTime, getPriority, getStartTime, getTriggerListeners, getTriggerState, getTriggerType, isIsVolatile, setCalendarName, setDescription, setEndTime, setId, setIsVolatile, setJobData, setJobDetail, setJobGroup, setJobName, setMisFireInstr, setNextFireTime, setPrevFireTime, setPriority, setStartTime, setTriggerListeners, setTriggerState, setTriggerType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QzSimpleTrigger

    public QzSimpleTrigger()

Method Detail

### getRepeatCount

    public long getRepeatCount()

### setRepeatCount

    public void setRepeatCount(long repeatCount)

### getRepeatInterval

    public long getRepeatInterval()

### setRepeatInterval

    public void setRepeatInterval(long repeatInterval)

### getTimesTriggered

    public long getTimesTriggered()

### setTimesTriggered

    public void setTimesTriggered(long timesTriggered)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.